<?php

function gebiete()
{
  $sql = "SELECT id,gebiet FROM gebiet ORDER BY id";
  $sth = pg_query($sql);

  $result = array();
  while ($row = pg_fetch_assoc($sth))
    $result[] = sprintf("%d: '%s'", $row['id'], $row['gebiet']);

  return '{' . implode(', ', $result) . '}';
}

$mask = array(
	      'table' => 'kostenstellen',
	      'title' => 'Kostenstellen',
	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'sql' => 'kostenstellen.id',
					    'visible' => false,
					    ),
			      'kostenstelle' => array(
					    'name' => 'Kostenstelle',
					    'specs' => "filterUI: 't'",
					    'width' => 220,
					    ),
			      'gebiet' => array(
					    'name' => 'Gebiet',
					    'sql' => 'kostenstellen.gebiet',
					    'control' => "new Rico.TableColumn.lookup(".gebiete().", 0, '')",
					    'specs' => "filterUI: 's'",
					    'width' => 220,
					    ),
			      'laenge' => array(
					    'name' => 'Länge',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', canSort: false",
					    'width' => 65,
					    ),
			      ),
	      'edit' => array(
			      'kostenstelle' => array(
					    'name' => 'Kostenstelle',
					    'type' => 'text',
					    'size' => 24,
					    'required' => true,
					    ),
			      'gebiet' => array(
					    'name' => 'Gebiet',
					    'type' => 'select',
					    'option_empty' => 'Bitte wählen Sie',
					    'options' => 'SELECT id,gebiet AS text FROM gebiet ORDER BY gebiet',
					    ),
			      'laenge' => array(
					    'name' => 'Länge',
					    'type' => 'decimal',
					    'width' => 65,
					    'required' => true,
					    ),
			      ),
	      );

?>
