<?php

include_once($_SESSION['sys']['basedir'].'/lib/overview_utils.php');

if (empty($_SESSION['overview_mitarbeiter.year'])) $_SESSION['overview_mitarbeiter.year'] = 0;

$mask = array(
	      'table' => 'einsatz',
	      'title' => 'Gesamtstundenaufwand pro Mitarbeiter',
	      'join' => array('personal ON einsatz.personal = personal.id',
			      'arbeitsarten ON einsatz.arbeiten = arbeitsarten.id',
			      ),
	      'where' => "arbeitsarten.arbeitsart <> 'Urlaub' AND arbeitsarten.arbeitsart <> 'Krank' AND arbeitsarten.arbeitsart <> 'Sonstige Fehltage'"
		       . " AND date_part('year', datum) = " . $_SESSION['overview_mitarbeiter.year'],
	      'select' => array(
				'title' => 'Auswahl',
				'options' => discover_years(),
				'default' => 'Jahr wählen',
				'selected' => $_SESSION['overview_mitarbeiter.year'],
				'onchange' => "setvar(this,'year',select_year_calback,select_year_status)",
				),
	      'variables' => array(
				   'year' => array(),
				   ),
 	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'visible' => false,
					    'sql' => 'einsatz.id',
					    ),
			      'datum' => array(
					    'name' => 'Datum',
					    'type' => 'date',
					    'width' => 70,
					    ),
			      'personal' => array(
					    'name' => 'Mitarbeiter',
					    'sql' => "personal.name || ', ' || personal.vorname",
					    'width' => 150,
					    'specs' => "filterUI: 's'",
					    ),
			      'arbeitsarten' => array(
					    'name' => 'Arbeiten',
					    'sql' => "arbeitsarten.arbeitsart",
					    'width' => 150,
					    'specs' => "filterUI: 's'",
					    ),
			      'stunden' => array(
					    'name' => 'Stunden',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignrightpad', canSort: false",
					    'width' => 60,
					    ),
			      ),
	      );

?>
